/* dm-sans-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "DM Sans";
  font-style: normal;
  font-weight: 400;
  src: url("/assets/fonts/dm-sans-v17-latin-regular.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-600 - latin */
/* dm-sans-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "DM Sans";
  font-style: normal;
  font-weight: 700;
  src: url("/assets/fonts/dm-sans-v17-latin-700.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-800 - latin */
img {
  height: auto;
  border: 0;
  max-width: 100%;
  display: block;
}

:where(iframe, pre, img, svg, picture, figure, select) {
  max-width: 100%;
  overflow: hidden;
  word-break: break-word;
  height: auto;
}

html {
  font-size: 18px;
  font-family: "DM Sans", sans-serif;
  font-weight: 400;
}

a {
  color: inherit;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

h1,
h2,
h3 {
  font-weight: 700;
  line-height: 1.1em;
}

h1 {
  font-weight: 700;
}

/* Modern Reset */
*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

html:focus-within {
  scroll-behavior: smooth;
}

body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  -webkit-font-smoothing: antialiased;
  line-height: 1.5;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
}

ul,
ol {
  list-style: none;
  padding: 0;
}

/* Button reset */
button {
  background: none;
  border: 0;
  padding: 0;
  font: inherit;
  color: inherit;
  cursor: pointer;
}

button:focus {
  outline: none;
}

button:focus-visible {
  outline: 2px solid currentColor;
  outline-offset: 2px;
}

iframe {
  margin: 0;
  padding: 0;
  border: 0; /* Removes the default border */
  display: block;
  width: 100%;
  height: 400px;
  /* Add any other desired styles */
}

.s-header {
  position: fixed;
  top: 0rem;
  left: 0rem;
  width: 100%;
  height: auto;
  z-index: 9;
  padding-inline: 1rem;
}
.s-header .container {
  position: relative;
  background-color: white;
  display: flex;
  max-width: 1200px;
  margin: 0 auto;
  height: 80px;
  border-radius: 100px;
  margin-top: 1rem;
  align-items: center;
  padding: 0rem 1rem 0rem 1rem;
  justify-content: space-between;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
  border-top: 1px solid #f1f3f5;
}
.s-header .logo-src {
  width: 120px;
}
.s-header .navigation {
  display: none;
  position: absolute;
  background-color: white;
  top: 100%;
  right: 2rem;
  background-color: #e7f5ff;
  border-top: 3px solid #d0ebff;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
  max-width: 200px;
  width: 100%;
}
.s-header .navigation.active {
  display: block;
}
.s-header .navigation-list {
  display: flex;
  flex-direction: column;
}
.s-header .navigation-item {
  list-style: none;
  border-bottom: 1px solid #d0ebff;
}
.s-header .navigation-item:last-child {
  border-bottom: none;
}
.s-header .navigation-link {
  padding: 1rem;
  color: #1864ab;
  display: inline-flex;
}
.s-header .navigation-link-current {
  color: #1864ab;
  text-decoration: underline;
  text-decoration-color: #1864ab;
}
.s-header .navigation-item:last-child .navigation-link {
  border-right: none;
}
.s-header .btn-menu {
  display: flex;
  height: 50px;
  width: 50px;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.s-header .nav-close-icon {
  display: inline-flex;
  align-items: center;
  width: 100%;
  justify-content: flex-end;
  padding: 0.5rem;
  font-weight: 700;
  font-size: 16px;
  color: #1864ab;
  background-color: #d2ecff;
}
.s-header .nav-close-icon:hover {
  text-decoration: underline;
}
.s-header .nav-close-icon:before {
  content: "";
  width: 12px;
  height: 12px;
  margin-right: 0.5rem;
  background-repeat: no-repeat;
  display: inline-block;
  background-position: center center;
  background-size: contain;
  background-image: url("/assets/svgs/close-blue-9.svg");
}

@media (min-width: 768px) {
  .s-header .btn-menu {
    display: none;
  }
  .s-header .navigation {
    display: flex;
    flex-direction: row;
    position: relative;
    top: auto;
    right: auto;
    box-shadow: none;
    max-width: none;
    width: auto;
    background: none;
    border-top: none;
    color: black;
  }
  .s-header .navigation-list {
    flex-direction: row;
  }
  .s-header .nav-close-icon {
    display: none;
  }
  .s-header .navigation-item {
    border-bottom: 0px solid;
  }
  .s-header .navigation-link {
    color: black;
  }
}
.s-footer .footer-shape {
  width: 100%;
}
.s-footer a:hover {
  text-decoration-color: #228be6;
}
.s-footer .content {
  display: flex;
  flex-direction: column;
  padding: 5rem 2rem 0rem;
}
.s-footer .shape {
  /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#ffffff+78,e7f5ff+100&0+0,1+100 */
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.78) 78%, rgb(231, 245, 255) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}
.s-footer .left {
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
}
.s-footer .slogan {
  font-style: italic;
  font-family: "Georgia";
  margin-block: 1rem 2rem;
}
.s-footer .contacts {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 0.5rem;
}
.s-footer .contact-point {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem;
}
.s-footer .logo {
  width: 200px;
  height: auto;
}
.s-footer .menu-nav {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  margin-block: 3rem;
}
.s-footer .section-title {
  font-weight: 700;
  color: #1971c2;
  margin-bottom: 1rem;
}
.s-footer .pages {
  display: flex;
  flex-direction: column;
  row-gap: 0.5rem;
}
.s-footer .socials {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}
.s-footer .social-links {
  display: flex;
  flex-direction: row;
  gap: 0.5rem;
}
.s-footer .social-link {
  width: 40px;
  height: 40px;
  border: 1px solid #e9ecef;
  border-radius: 40px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}
.s-footer .social-link:hover {
  border-color: #228be6;
}
.s-footer .social-logo {
  width: 20px;
  height: 20px;
}
.s-footer .copyright {
  font-size: 16px;
  width: 100%;
  margin-top: 2rem;
  padding: 2rem 1rem 2rem;
  border-top: 1px solid #e9ecef;
  text-align: center;
}
.s-footer .policy {
  color: #495057;
  text-decoration: underline;
}

@media (min-width: 768px) {
  .s-footer .logo {
    width: 250px;
  }
  .s-footer .content {
    display: grid;
    margin: 6rem auto 6rem;
    grid-template-columns: 2fr 1fr 1fr;
    align-items: start;
    max-width: 1100px;
  }
  .s-footer .left {
    grid-column: 1;
    align-items: start;
    text-align: left;
    padding-right: 3rem;
  }
  .s-footer .contacts {
    align-items: start;
  }
  .s-footer .menu-nav {
    grid-column: 2;
    padding-top: 3rem;
    margin-block: 0;
    align-items: start;
    text-align: left;
  }
  .s-footer .socials {
    padding-top: 3rem;
    grid-column: 3;
    align-items: start;
    text-align: left;
  }
}
@media (min-width: 768px) {
  .s-footer .logo {
    width: 300px;
  }
}
.home--first {
  padding: 12rem 1rem 21rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #f4f4f4;
  position: relative;
  overflow: hidden;
  text-align: center;
}
.home--first::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.86);
  z-index: 1;
  pointer-events: none;
}
.home--first .taylor-src {
  position: absolute;
  bottom: 0rem;
  max-width: 200px;
  z-index: 2;
}
.home--first .label-container {
  display: flex;
  flex-direction: column;
  text-align: center;
  z-index: 2;
  margin-top: 2rem;
}
.home--first .labels-title {
  font-weight: 700;
  font-size: 16px;
  margin-bottom: 0.5em;
}
.home--first .labels {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  font-size: 0.8rem;
  gap: 0.5em;
  font-size: 16px;
  justify-content: center;
  max-width: 700px;
}
.home--first .label {
  background-color: white;
  border-radius: 40px;
  padding: 0.3rem 0.5rem;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
}
.home--first .label:before {
  content: "";
  display: inline-block;
  transform: rotate(45deg);
  height: 14px;
  margin-left: 0.3rem;
  margin-right: 0.5rem;
  width: 7px;
  pointer-events: none;
  border-bottom: 3px solid #37b24d;
  border-right: 3px solid #37b24d;
}
.home--first .picture {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0rem;
  bottom: 0rem;
}
.home--first .picture-image-src {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.home--first .shape {
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 2;
  height: auto;
  min-width: 100%;
  pointer-events: none;
}
.home--first .h1 {
  font-size: 3rem;
  z-index: 2;
  font-weight: 800;
}
.home--first .subtitle {
  font-size: 1.2rem;
  z-index: 2;
  max-width: 400px;
}
.home--first .intro-paragraph {
  z-index: 2;
  margin-top: 3rem;
  max-width: 400px;
  color: #1864ab;
  text-shadow: 0px 0px 10px white;
}
.home--first .explanation {
  display: none;
  z-index: 2;
  font-size: 14px;
}

.home--socials {
  margin: 8rem 0rem;
  padding: 0rem 1rem 10rem;
  border-bottom: 1px solid #f1f3f5;
}
.home--socials .container {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.home--socials .sup-title {
  font-weight: 700;
}
.home--socials .title {
  font-weight: 800;
  font-size: 2rem;
}
.home--socials .socials {
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
  margin-top: 1rem;
  justify-content: center;
  max-width: 300px;
  width: 100%;
}
.home--socials .social-logo {
  width: 45px;
}
.home--socials .social-link {
  width: 65px;
  height: 65px;
  border-radius: 100px;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
  border: 1px solid #f8f9fa;
  background-color: white;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  transition: 0.1s;
}
.home--socials .social-link:hover {
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
  border: 1px solid #74c0fc;
}

.home--about {
  padding: 0rem 2rem 10rem;
  margin-top: 12rem;
  border-bottom: 1px solid #f1f3f5;
}
.home--about .title {
  font-size: 2rem;
  margin-top: 2rem;
  margin-bottom: 1rem;
}
.home--about .container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  max-width: 500px;
  margin: 0 auto;
}
.home--about .image {
  max-width: 250px;
  width: 100%;
  margin: 0 auto;
}
.home--about .paragraph {
  margin-bottom: 1.5rem;
}
.home--about .end {
  font-weight: 800;
}

.home--articles {
  padding: 5rem 1rem 5rem;
  margin-top: 5rem;
}
.home--articles .header {
  max-width: 800px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  flex-direction: column;
  text-align: center;
}
.home--articles .title {
  font-size: 2.5rem;
  font-weight: 800;
}
.home--articles .subtitle {
  font-size: 1.2rem;
  margin-bottom: 1rem;
}
.home--articles .general-link {
  background-color: #228be6;
  border-radius: 50px;
  color: white;
  padding: 0.5rem 1rem;
  font-weight: 700;
}
.home--articles .articles-container {
  max-width: 1100px;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  column-gap: 2rem;
  row-gap: 0rem;
  justify-content: center;
  margin-block: 5rem 0rem;
}
.home--articles .article {
  display: inline-flex;
  flex-direction: column;
  max-width: 280px;
  width: 100%;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;
  border-radius: 10px;
  overflow: hidden;
  justify-content: space-between;
  margin-bottom: 4rem;
}
.home--articles .article.non-featured {
  margin-bottom: 1rem;
}
.home--articles .article-image-container {
  height: auto;
  overflow: hidden;
  position: relative;
}
.home--articles .category-labels {
  position: absolute;
  bottom: 0rem;
  right: 0rem;
  padding: 0.5rem;
  width: 100%;
  display: flex;
  text-align: right;
  font-size: 14px;
  justify-content: flex-end;
}
.home--articles .category-label {
  background-color: white;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;
  border-radius: 100px;
  padding: 0rem 1em;
  display: inline-block;
}
.home--articles .article-image {
  height: auto;
  width: 100%;
  max-width: none;
}
.home--articles .article-link {
  padding: 1rem 1.5rem 1rem;
}
.home--articles .article-link:hover {
  color: #1864ab;
}
.home--articles .meta {
  border-top: 1px solid #dee2e6;
  padding: 0.5rem 0rem;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  font-size: 14px;
  color: #868e96;
  padding: 0.5rem 1.5rem;
}
.home--articles .article-date {
  font-size: 14px;
}
.home--articles .non-featured {
  box-shadow: none;
  border: 1px solid #f1f3f5;
  font-size: 14px;
  background-color: white;
}

@media (min-width: 400px) {
  .home--socials .socials {
    max-width: none;
  }
  .home--articles .article {
    max-width: 330px;
  }
}
@media (min-width: 1024px) {
  .home--first {
    text-align: left;
    padding: 10rem 0rem 0rem;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto auto auto auto auto;
    display: grid;
    justify-content: center;
    column-gap: 2rem;
  }
  .home--first .h1 {
    grid-column: 2;
    grid-row: 2;
  }
  .home--first .subtitle {
    grid-column: 2;
    grid-row: 3;
  }
  .home--first .label-container {
    grid-column: 2;
    grid-row: 4;
    display: inline-flex;
    text-align: left;
    max-width: 500px;
  }
  .home--first .labels {
    justify-content: flex-start;
  }
  .home--first .taylor-src {
    grid-column: 1;
    grid-row: 1/-1;
    position: relative;
    width: 400px;
    max-width: none;
    justify-self: flex-end;
  }
  .home--first .explanation {
    grid-column: 2;
    grid-row: 5;
    display: block;
    max-width: 500px;
    margin-top: 2rem;
    padding-left: 1rem;
    border-left: 3px solid black;
  }
  .home--socials .container {
    max-width: 1100px;
    margin-inline: auto;
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: auto auto;
    align-items: center;
  }
  .home--socials .sup-title {
    grid-column: 1;
    grid-row: 1;
    text-align: right;
  }
  .home--socials .title {
    grid-column: 1;
    grid-row: 2;
    text-align: right;
  }
  .home--socials .socials {
    grid-column: 2;
    grid-row: 1/-1;
    border-left: 3px solid #e9ecef;
    margin-left: 2rem;
    padding-left: 2rem;
    margin-top: 0rem;
    gap: 1.5rem;
    width: auto;
    justify-content: start;
  }
  .home--socials .social-link {
    width: 80px;
    height: 80px;
  }
  .home--about .title {
    grid-row: 2;
    grid-column: 2;
  }
  .home--about .container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto auto auto auto auto auto;
    max-width: none;
    grid-column-gap: 4rem;
    align-items: center;
  }
  .home--about .image {
    max-width: 500px;
    width: 100%;
    grid-row: 1/-1;
    margin: 0px;
    justify-self: flex-end;
  }
  .home--about .paragraph {
    grid-column: 2;
    max-width: 500px;
  }
  .home--about .p-first {
    grid-row: 3;
  }
  .home--about .p-second {
    grid-row: 4;
  }
  .home--about .p-third {
    grid-row: 5;
  }
  .home--about .p-fourth {
    grid-row: 6;
  }
  .home--about .p-fifth {
    grid-row: 7;
  }
  .home--about .p-sixth {
    grid-row: 8;
  }
  .home--about .end {
    margin-bottom: 0rem;
  }
  .home--articles .header {
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: auto auto;
    column-gap: 1rem;
    text-align: left;
  }
  .home--articles .title {
    grid-column: 1;
    grid-row: 1;
  }
  .home--articles .subtitle {
    grid-column: 1;
    grid-row: 2;
  }
  .home--articles .article {
    margin-bottom: 0rem;
  }
  .home--articles .general-link {
    grid-column: 2;
    grid-row: 1/-1;
    align-items: center;
    align-self: center;
    justify-self: end;
  }
  .home--articles .articles-container {
    row-gap: 2rem;
  }
}
@media (min-width: 1200px) {
  .home--socials .container {
    grid-template-columns: 0.8fr 1fr;
  }
}
